
#include <cpp/base/hphp.h>
#include <sys/global_variables.h>


namespace HPHP {
///////////////////////////////////////////////////////////////////////////////

static const char sa_cdata[1892] = {
  0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 
  0x9d, 0x59, 0x6d, 0x6f, 0xdc, 0x36, 0x0c, 0xfe, 0x3e, 0x60, 
  0xff, 0x21, 0x75, 0xd7, 0xe0, 0x92, 0x21, 0xc9, 0xf9, 0xf5, 
  0x6c, 0x5f, 0x96, 0x60, 0xe8, 0x5a, 0x74, 0xc0, 0xb0, 0x16, 
  0xd8, 0x06, 0x0c, 0x88, 0xb3, 0x41, 0x77, 0xd6, 0x5d, 0xb4, 
  0xf8, 0x6c, 0xcf, 0x96, 0xd3, 0x66, 0x4d, 0xfe, 0xfb, 0x48, 
  0x51, 0x72, 0xe4, 0xb4, 0x2b, 0xa6, 0x7c, 0xc9, 0x99, 0x14, 
  0xf9, 0x90, 0xa2, 0x28, 0x4a, 0x62, 0x58, 0xee, 0xcf, 0xe7, 
  0xf9, 0x47, 0x91, 0xcf, 0x97, 0x2c, 0x87, 0x8f, 0x7b, 0x91, 
  0xfb, 0xf0, 0x15, 0x10, 0xab, 0xcf, 0x93, 0xdc, 0x7b, 0xc7, 
  0xba, 0x9e, 0x77, 0xde, 0x12, 0x47, 0xfa, 0x3c, 0x08, 0x72, 
  0xaf, 0x97, 0x4c, 0xf2, 0x8a, 0xf7, 0xfd, 0x6b, 0x2e, 0xd7, 
  0x57, 0xbf, 0xf2, 0x5d, 0x5b, 0x01, 0xc3, 0x5b, 0x82, 0x72, 
  0x00, 0xca, 0x3e, 0x29, 0xa3, 0x3c, 0x70, 0x42, 0x82, 0xeb, 
  0x81, 0xed, 0x7d, 0xf4, 0x80, 0x88, 0x90, 0x08, 0x73, 0x8f, 
  0xd7, 0xa5, 0xb7, 0x54, 0xec, 0x7b, 0xfc, 0x8d, 0x73, 0xaf, 
  0x66, 0x3b, 0xde, 0x7b, 0xc6, 0x7c, 0x00, 0xcc, 0x34, 0xf7, 
  0xe4, 0x08, 0x8f, 0x58, 0xca, 0x23, 0x09, 0x8c, 0x6e, 0x0b, 
  0xf6, 0x14, 0xce, 0x4e, 0xd4, 0x38, 0x86, 0xe2, 0x48, 0xb1, 
  0x0f, 0x24, 0x79, 0xaf, 0xa0, 0x2f, 0x3e, 0x6f, 0xf1, 0xf2, 
  0xb1, 0x45, 0x9f, 0x2c, 0xfe, 0xfc, 0x25, 0xcc, 0x60, 0x79, 
  0x0f, 0xf3, 0x89, 0xec, 0xf0, 0xf8, 0x80, 0x25, 0xea, 0x75, 
  0x35, 0x94, 0xbc, 0xa9, 0xab, 0x5b, 0x13, 0x24, 0x1f, 0x82, 
  0x74, 0x32, 0xe1, 0x83, 0x62, 0xfc, 0x10, 0x9a, 0x3e, 0xcf, 
  0xc0, 0x76, 0xa3, 0x25, 0xd4, 0x68, 0x42, 0x7e, 0x7e, 0x6e, 
  0x54, 0x63, 0xce, 0x01, 0x73, 0xc2, 0x0d, 0xb4, 0x03, 0x68, 
  0xc1, 0x62, 0x87, 0xc6, 0x81, 0x09, 0x1f, 0x4c, 0x2c, 0x6c, 
  0x07, 0x3e, 0xf1, 0x1c, 0x04, 0x52, 0x10, 0x08, 0xd5, 0x52, 
  0x81, 0xad, 0x8d, 0xa8, 0xcb, 0x57, 0x7f, 0x0f, 0xac, 0x82, 
  0xf8, 0xac, 0x94, 0x4a, 0x4a, 0xcc, 0x77, 0xa2, 0xe5, 0x86, 
  0x95, 0x21, 0xc8, 0x1b, 0xce, 0x4a, 0x51, 0x6f, 0x89, 0x07, 
  0x30, 0x99, 0x1d, 0x21, 0x40, 0x32, 0x33, 0x50, 0x9f, 0x98, 
  0x60, 0xf3, 0x07, 0x01, 0x93, 0x28, 0x82, 0x54, 0xfd, 0x49, 
  0xf2, 0xf9, 0x8b, 0xdc, 0x7b, 0xd9, 0x74, 0xfc, 0x27, 0x51, 
  0x5f, 0xbf, 0x1e, 0xea, 0xb5, 0x14, 0x4d, 0xdd, 0x8f, 0xf1, 
  0x80, 0xe5, 0x2b, 0xf9, 0x86, 0x0d, 0x95, 0xc4, 0xf1, 0x37, 
  0x4d, 0x73, 0x4d, 0xe8, 0x81, 0x99, 0x45, 0x94, 0x7b, 0x4c, 
  0x4a, 0xc8, 0xdc, 0x9f, 0x69, 0xb1, 0x45, 0x5d, 0xf3, 0x07, 
  0x6a, 0x5d, 0x35, 0x3d, 0x47, 0x0a, 0x75, 0x42, 0x0a, 0x8d, 
  0x9a, 0x50, 0x25, 0x6a, 0xfe, 0x8b, 0x64, 0x9d, 0xf4, 0x6c, 
  0x9f, 0xad, 0x65, 0xb7, 0x37, 0x0a, 0x7e, 0xe1, 0x67, 0x4c, 
  0x46, 0xc7, 0x4d, 0x53, 0x37, 0xef, 0xc5, 0xb5, 0x30, 0xbe, 
  0xc2, 0x3c, 0xb6, 0xac, 0xaa, 0x78, 0x77, 0x3b, 0xae, 0x1b, 
  0xf8, 0x46, 0xc0, 0xc9, 0xb8, 0x3f, 0x80, 0xd7, 0x36, 0xbd, 
  0x3c, 0xe2, 0x1f, 0x5a, 0x86, 0x99, 0x4a, 0x60, 0x90, 0x7f, 
  0x2a, 0xd9, 0x4d, 0x84, 0x16, 0x66, 0x7a, 0x01, 0xf8, 0x7a, 
  0x32, 0x3b, 0x3e, 0xd8, 0x9b, 0x9d, 0x7f, 0x57, 0x9c, 0xdf, 
  0xe5, 0x77, 0xcb, 0xbb, 0x67, 0x77, 0x2f, 0xee, 0x8a, 0x70, 
  0x1e, 0x14, 0xc1, 0x22, 0x3c, 0x38, 0xf1, 0x74, 0xd6, 0x14, 
  0xfe, 0x7e, 0xbd, 0xea, 0xdb, 0x65, 0x11, 0x28, 0x4e, 0x88, 
  0x6a, 0x24, 0x15, 0x87, 0x07, 0x7b, 0x4a, 0x2c, 0x7d, 0x90, 
  0x42, 0x32, 0x40, 0x19, 0x22, 0x67, 0xcf, 0x8a, 0xfe, 0x50, 
  0xec, 0xda, 0xa6, 0x93, 0xac, 0x96, 0x04, 0x0a, 0xa3, 0x7b, 
  0x85, 0x4f, 0xee, 0xa7, 0x66, 0x7f, 0x25, 0x0b, 0xc4, 0x3d, 
  0x9d, 0x5d, 0xac, 0xc4, 0xe5, 0xc1, 0xd9, 0xc1, 0xc3, 0xd7, 
  0xf9, 0xec, 0xe2, 0x8f, 0xd3, 0xcb, 0x43, 0xe0, 0x14, 0x27, 
  0xe7, 0x4c, 0x7d, 0xc3, 0xf0, 0x03, 0xaf, 0x88, 0x50, 0x06, 
  0x3f, 0x82, 0x33, 0xc2, 0xc7, 0x1a, 0x53, 0xf8, 0x45, 0x58, 
  0xc4, 0x45, 0x5a, 0x64, 0x45, 0xa2, 0xbe, 0x17, 0xf8, 0x8d, 
  0xa3, 0x51, 0xaa, 0x0c, 0x01, 0xd2, 0xd9, 0xe5, 0xb7, 0x16, 
  0x92, 0x66, 0x10, 0x09, 0x70, 0xec, 0x6c, 0x76, 0xac, 0x3f, 
  0x6c, 0xd4, 0xe0, 0x14, 0x18, 0x45, 0xa8, 0xfe, 0xfa, 0x45, 
  0x84, 0xbf, 0x38, 0x9a, 0xa4, 0xda, 0x7d, 0x26, 0x56, 0x97, 
  0x07, 0x7b, 0x8f, 0xc1, 0x4b, 0x71, 0x33, 0x43, 0xde, 0x21, 
  0x4e, 0xed, 0x98, 0x1c, 0x07, 0xde, 0x74, 0x22, 0xc6, 0xff, 
  0x30, 0x26, 0xff, 0xf7, 0x2b, 0xb9, 0x04, 0xa1, 0x22, 0xde, 
  0xdf, 0xca, 0x65, 0x91, 0x20, 0x89, 0x4a, 0x8a, 0xd2, 0x93, 
  0xf1, 0x21, 0x57, 0x4e, 0x4c, 0xa8, 0x10, 0xc3, 0x27, 0x67, 
  0xc7, 0xbc, 0xcb, 0xc6, 0x3d, 0x99, 0x7b, 0x47, 0xe3, 0x88, 
  0x22, 0xf7, 0xa6, 0xe4, 0x07, 0xfd, 0xfb, 0x3b, 0x15, 0xe2, 
  0xf9, 0x97, 0xcb, 0x38, 0x24, 0x4f, 0xc7, 0xa1, 0x8e, 0xae, 
  0xf9, 0x6f, 0xf5, 0xd0, 0xc3, 0x36, 0x7f, 0xd5, 0xaf, 0x59, 
  0xcb, 0xfb, 0x97, 0x90, 0xa7, 0x2b, 0xb6, 0xa6, 0xbd, 0x14, 
  0x4c, 0xb7, 0x63, 0xee, 0x9d, 0x8e, 0xbb, 0x2f, 0xf7, 0xce, 
  0x48, 0x24, 0xb0, 0x45, 0x60, 0xcb, 0xe1, 0x2c, 0x8d, 0x14, 
  0x92, 0x5b, 0x24, 0x51, 0x70, 0x3c, 0x08, 0x60, 0x1d, 0x8e, 
  0x3e, 0x7a, 0xb4, 0x2d, 0x8e, 0xf6, 0x9f, 0xfb, 0x30, 0xa2, 
  0xd6, 0x07, 0x0e, 0x82, 0x23, 0xcd, 0x46, 0x6e, 0xbc, 0x3c, 
  0x22, 0xc5, 0x49, 0xc5, 0xc5, 0x55, 0x7c, 0x7e, 0x3a, 0x3b, 
  0x7f, 0x76, 0x72, 0x3e, 0xeb, 0x87, 0xf6, 0xae, 0x1f, 0x56, 
  0x07, 0x07, 0xc7, 0x87, 0xe7, 0x67, 0xcf, 0xc7, 0xa9, 0xcd, 
  0x95, 0xc4, 0x67, 0xc6, 0x11, 0x2c, 0xfe, 0x8f, 0xe2, 0x04, 
  0xae, 0x9e, 0x7e, 0xe3, 0xeb, 0x39, 0x25, 0xf6, 0x29, 0xa6, 
  0xb6, 0x5d, 0xb0, 0x30, 0x15, 0x02, 0xec, 0x7f, 0xfd, 0x95, 
  0x0e, 0xf5, 0x57, 0x24, 0x3e, 0xa9, 0x9b, 0x57, 0x4d, 0x27, 
  0xfe, 0xf9, 0xbe, 0x12, 0xdb, 0xda, 0xb3, 0x4b, 0x3a, 0xe0, 
  0x57, 0x7c, 0x23, 0x8d, 0x39, 0xc8, 0x90, 0x4e, 0x6c, 0xaf, 
  0xa4, 0xa9, 0x07, 0xb0, 0x40, 0x6b, 0x5e, 0x4b, 0x5a, 0xa0, 
  0x90, 0xe4, 0xeb, 0xa6, 0xe6, 0xea, 0x90, 0x83, 0xb5, 0xba, 
  0xe1, 0x9d, 0x1c, 0x41, 0x53, 0x03, 0x0a, 0x39, 0xbb, 0x62, 
  0x3d, 0xc7, 0x8a, 0x65, 0x80, 0x61, 0x6f, 0xc2, 0x94, 0x0d, 
  0x6c, 0x8c, 0x54, 0xfb, 0x80, 0x0a, 0xa3, 0xb2, 0x69, 0x91, 
  0x8a, 0xcc, 0xe9, 0xfa, 0x41, 0x1e, 0x69, 0x56, 0x4c, 0x7e, 
  0xec, 0x44, 0x59, 0x56, 0x0a, 0x2f, 0x21, 0xc6, 0xaa, 0x91, 
  0xb2, 0xd9, 0x21, 0x63, 0xa1, 0x0f, 0x0e, 0xa5, 0x65, 0xd8, 
  0xf7, 0xca, 0xcc, 0xa6, 0x83, 0xa3, 0x74, 0xe2, 0x1c, 0x78, 
  0x2d, 0xaf, 0x86, 0xdd, 0xaa, 0x66, 0xa2, 0x1a, 0xd3, 0xc6, 
  0xc7, 0xd3, 0xb4, 0x86, 0x74, 0x53, 0x43, 0xd6, 0xec, 0x95, 
  0x7e, 0x69, 0xfc, 0xcc, 0x34, 0x03, 0x2f, 0x19, 0xc6, 0x5b, 
  0x48, 0x8b, 0xa1, 0x1d, 0x83, 0x16, 0x1b, 0xdf, 0xba, 0x92, 
  0xa6, 0x97, 0xe8, 0x20, 0xc3, 0x59, 0x60, 0x5c, 0xc5, 0xd2, 
  0x59, 0x81, 0x34, 0x56, 0xe8, 0x20, 0x33, 0x85, 0xca, 0x76, 
  0x16, 0xcb, 0xb7, 0x42, 0xbe, 0x82, 0x8a, 0x5b, 0x21, 0x90, 
  0xe1, 0x7d, 0xba, 0x94, 0xc4, 0x7f, 0xbc, 0x16, 0xfa, 0x00, 
  0x08, 0xe7, 0x26, 0xbb, 0xc1, 0xe8, 0x8b, 0xf0, 0x7b, 0x9d, 
  0x20, 0xb9, 0xfe, 0x7d, 0xa1, 0x7f, 0x8f, 0x55, 0xc2, 0x84, 
  0xbe, 0x11, 0x4e, 0xf1, 0x54, 0x82, 0x55, 0xaf, 0x59, 0x35, 
  0x31, 0xa1, 0x98, 0x74, 0x82, 0x3c, 0x98, 0x08, 0xfe, 0xff, 
  0xd9, 0x88, 0xe9, 0x04, 0x77, 0xa6, 0x6d, 0xd3, 0xdd, 0x4e, 
  0x0e, 0xc7, 0x10, 0x37, 0x61, 0x8c, 0x96, 0x17, 0xe3, 0xe9, 
  0x69, 0x1d, 0x34, 0xe5, 0xee, 0xd6, 0xbe, 0xf6, 0x94, 0xb7, 
  0x56, 0x56, 0xdd, 0xee, 0xc6, 0xd5, 0x01, 0xaf, 0x7f, 0xfc, 
  0xe5, 0xed, 0x5e, 0x9a, 0xcc, 0x7d, 0x5a, 0x1c, 0x44, 0x8e, 
  0xec, 0xdb, 0x45, 0x42, 0x0b, 0x81, 0x0b, 0x8a, 0x63, 0xf1, 
  0xa3, 0x1a, 0x51, 0x5c, 0x14, 0x17, 0xd6, 0xc6, 0x2b, 0x2e, 
  0x8b, 0x4b, 0x12, 0x4c, 0x26, 0x5b, 0x1d, 0xae, 0x6f, 0xa3, 
  0x18, 0x10, 0x97, 0x5a, 0x68, 0xf1, 0x08, 0xad, 0x55, 0x17, 
  0x92, 0xb1, 0x2e, 0x75, 0x24, 0x95, 0x7e, 0x59, 0xea, 0x3d, 
  0x49, 0x4d, 0xee, 0x2a, 0x7e, 0x46, 0x31, 0xa5, 0x52, 0xf9, 
  0x69, 0x54, 0xd5, 0x95, 0x49, 0x1a, 0xbe, 0x02, 0x88, 0xe6, 
  0x0e, 0x00, 0x30, 0x07, 0x24, 0x50, 0xcd, 0x77, 0x50, 0x0b, 
  0x51, 0x8d, 0xae, 0x70, 0x51, 0xe0, 0xa0, 0x07, 0xa3, 0x43, 
  0x57, 0xf1, 0x7a, 0xdd, 0xe8, 0x0b, 0x60, 0x14, 0x3a, 0x68, 
  0x43, 0x82, 0x54, 0xeb, 0x8d, 0xe8, 0x7a, 0x49, 0xba, 0x91, 
  0x9b, 0xee, 0x60, 0xeb, 0xc6, 0x6e, 0x41, 0xaa, 0xd6, 0xa4, 
  0x96, 0xb8, 0xa9, 0x0d, 0x5a, 0x6d, 0xe1, 0xa0, 0x06, 0xa9, 
  0x5c, 0x35, 0x6b, 0x56, 0x41, 0xa0, 0x48, 0x39, 0x75, 0x0b, 
  0xb0, 0x51, 0xd6, 0x01, 0xce, 0xdc, 0x82, 0xb4, 0x19, 0xaa, 
  0xd1, 0x72, 0x3c, 0x77, 0x73, 0x5b, 0xeb, 0x92, 0xe1, 0xd8, 
  0x77, 0x73, 0x7b, 0xd3, 0x74, 0x3b, 0x26, 0xeb, 0x61, 0x47, 
  0xda, 0x81, 0x9b, 0xdb, 0x5b, 0x28, 0x9f, 0x3b, 0x46, 0xfb, 
  0x2c, 0x76, 0xc9, 0x29, 0x28, 0x0b, 0x5b, 0x78, 0x84, 0x71, 
  0xad, 0x1a, 0xb9, 0xa9, 0xb6, 0x30, 0x5f, 0xa6, 0x83, 0xe5, 
  0x92, 0x51, 0x78, 0xe3, 0x85, 0xa9, 0xae, 0x78, 0xd7, 0x6c, 
  0x5a, 0xb6, 0xe5, 0xb4, 0x05, 0xe3, 0xe4, 0x89, 0x10, 0x03, 
  0x08, 0x68, 0x08, 0x97, 0x4c, 0xc3, 0x61, 0x03, 0xc1, 0x60, 
  0xe8, 0x86, 0x5b, 0x40, 0x2e, 0x59, 0x87, 0xc5, 0x7d, 0x04, 
  0xea, 0xa4, 0x58, 0x57, 0x66, 0x46, 0xd9, 0x13, 0x67, 0xb4, 
  0x11, 0x06, 0x22, 0x71, 0x49, 0x42, 0x3f, 0xb2, 0x1c, 0x29, 
  0xe1, 0xc9, 0xac, 0x31, 0xfc, 0x27, 0xb9, 0x01, 0x2f, 0xc8, 
  0xae, 0x19, 0x5a, 0x82, 0x08, 0x9e, 0x38, 0x13, 0x5e, 0x0a, 
  0xa9, 0xbd, 0x08, 0x9f, 0x08, 0x71, 0x23, 0xf8, 0x7b, 0x0d, 
  0x11, 0x39, 0x16, 0x12, 0x56, 0x6f, 0x07, 0xc8, 0x2f, 0x52, 
  0x8e, 0xdd, 0xf6, 0x54, 0xcb, 0x4a, 0xba, 0x1f, 0xa2, 0x6e, 
  0xe2, 0x66, 0x18, 0x74, 0xf5, 0xbd, 0x08, 0x95, 0x9d, 0x92, 
  0x12, 0xca, 0x26, 0xab, 0xd7, 0x70, 0xd1, 0xb1, 0x8e, 0x89, 
  0x24, 0x75, 0x73, 0xbd, 0x6f, 0xf9, 0x5a, 0xe8, 0x8d, 0x99, 
  0xb8, 0x1e, 0xa8, 0xfa, 0x12, 0xd2, 0x37, 0x1d, 0xb9, 0xbf, 
  0x70, 0x2d, 0x83, 0x90, 0xbb, 0x2d, 0x93, 0x57, 0xa4, 0xec, 
  0x94, 0x7a, 0x31, 0x46, 0x0e, 0xca, 0x81, 0xa8, 0xcd, 0x5d, 
  0x89, 0x40, 0x02, 0xd7, 0xe8, 0x23, 0xc6, 0x3f, 0xba, 0xc7, 
  0x12, 0xba, 0x7a, 0xd0, 0x35, 0x92, 0x2b, 0x76, 0xc5, 0x6f, 
  0x38, 0x05, 0x71, 0x11, 0x39, 0x06, 0x71, 0xf7, 0x5e, 0x35, 
  0xb2, 0x5a, 0x78, 0xcd, 0x11, 0x80, 0x53, 0x79, 0x9c, 0xeb, 
  0x3e, 0x18, 0xaa, 0x6b, 0xfd, 0xc4, 0xed, 0x38, 0x91, 0xac, 
  0xba, 0xb6, 0xac, 0x2f, 0x1c, 0xad, 0x8f, 0xea, 0x5a, 0x3f, 
  0x75, 0xcc, 0x60, 0x78, 0xf0, 0xfc, 0x05, 0x31, 0xb4, 0x3c, 
  0x70, 0xad, 0x84, 0x36, 0x02, 0x41, 0xa4, 0x73, 0xf7, 0x2c, 
  0xa8, 0xd5, 0xab, 0x02, 0x95, 0x1d, 0x8f, 0x63, 0xa3, 0xac, 
  0xb5, 0x03, 0xc7, 0xf9, 0xe3, 0x55, 0x60, 0x6a, 0xdf, 0xb5, 
  0xf8, 0xd9, 0x08, 0x1a, 0x22, 0x72, 0x74, 0x02, 0x1f, 0xa2, 
  0x53, 0x27, 0x5c, 0xcf, 0x68, 0x1b, 0x41, 0x43, 0x24, 0x8e, 
  0x1b, 0x01, 0xd6, 0x71, 0xea, 0xc3, 0xc2, 0x3d, 0x95, 0x1e, 
  0xb9, 0xe0, 0x9a, 0x8c, 0x98, 0xcc, 0x53, 0x1f, 0x5c, 0x93, 
  0xd1, 0x46, 0x20, 0x88, 0x6c, 0xee, 0x58, 0x55, 0x74, 0x3e, 
  0x4f, 0xfc, 0xc8, 0x7c, 0xc7, 0x4b, 0xc6, 0x23, 0x10, 0x8d, 
  0x12, 0xb8, 0x5d, 0xda, 0x24, 0xdb, 0xbe, 0x5d, 0xfd, 0x45, 
  0xaa, 0xa1, 0x63, 0x5d, 0xa0, 0x5b, 0xea, 0x0f, 0xe6, 0x7f, 
  0x0b, 0x99, 0x6b, 0x4a, 0x96, 0xa2, 0x6f, 0x2b, 0x76, 0x2b, 
  0x85, 0xd4, 0xd7, 0xe4, 0x2c, 0x76, 0x0c, 0x81, 0x3e, 0x1f, 
  0xa6, 0xd5, 0x35, 0x4b, 0x4c, 0x2f, 0x08, 0x5b, 0x09, 0xcd, 
  0x80, 0xbd, 0x5a, 0xd3, 0xfa, 0x56, 0xf9, 0x16, 0x5b, 0x2f, 
  0xd8, 0x2b, 0xdf, 0x7a, 0xa1, 0x5c, 0x05, 0xe6, 0x79, 0x8d, 
  0x44, 0x68, 0xde, 0xd3, 0x48, 0x44, 0xa6, 0xcd, 0x81, 0x44, 
  0x6c, 0x3a, 0x1c, 0x48, 0x24, 0xa6, 0xbb, 0x81, 0x0f, 0x74, 
  0x71, 0x33, 0xf6, 0x61, 0x20, 0x40, 0x2b, 0x78, 0x7e, 0x5c, 
  0xff, 0x3d, 0x34, 0xf4, 0xdf, 0x91, 0x94, 0x14, 0x1a, 0xd5, 
  0x6d, 0xc9, 0xf4, 0x9b, 0x88, 0x5a, 0x2f, 0xda, 0x99, 0x8a, 
  0x3a, 0xd2, 0xc6, 0x1b, 0xea, 0x06, 0xea, 0x3e, 0x91, 0x64, 
  0x2b, 0xea, 0xfa, 0xf8, 0xda, 0x25, 0x49, 0xc3, 0xda, 0x27, 
  0x3c, 0x61, 0x55, 0x9f, 0x9b, 0x28, 0xd5, 0x0b, 0xf0, 0x13, 
  0xa2, 0x4a, 0x32, 0xb2, 0xd0, 0x14, 0x8d, 0xa5, 0x74, 0x39, 
  0x58, 0xb3, 0x96, 0x1e, 0xcb, 0xaa, 0x97, 0xa9, 0x9e, 0xde, 
  0xaa, 0xd9, 0x14, 0xe8, 0x67, 0x79, 0x37, 0xac, 0xa8, 0xe7, 
  0xa0, 0x9d, 0xea, 0xa8, 0x29, 0xa4, 0x63, 0xd4, 0x51, 0x83, 
  0x4c, 0x7b, 0xd4, 0x91, 0xa6, 0xf6, 0x68, 0x45, 0xaf, 0x88, 
  0x2c, 0xb5, 0x9b, 0x75, 0xf1, 0x9c, 0xd6, 0x21, 0xb3, 0xfe, 
  0xeb, 0x64, 0x35, 0x5f, 0xd4, 0xef, 0xb7, 0xfa, 0xf7, 0x4f, 
  0xec, 0x0c, 0xfd, 0x0b, 0x70, 0xc2, 0x05, 0x56, 0x01, 0x1b, 
  0x00, 0x00, };

StaticArray ScalarArrays::sa_[100];

void ScalarArrays::initialize() {
  SystemScalarArrays::initialize();
  ArrayUtil::InitScalarArrays(sa_, 100, sa_cdata, 1892);
}

///////////////////////////////////////////////////////////////////////////////
}
